<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/02/xpath-functions" xmlns:xdt="http://www.w3.org/2005/02/xpath-datatypes">
<xsl:template match="/">
	<html>
		<body>
		<center>
			<h2><font color="#FF9966">ROLLUP TABLE FOR ADVANCED LEVEL SYMBOLS
			<br>VERSION 
				<xsl:value-of select="ipcr-rollup-list/@*[name()='version']" /> </br>
			</font></h2>
			<table border="2" width="50%" >
				<tr>
					<td bgcolor="#FF9966" align="center">
						<font color="white"><b>Advanced Level Symbol</b></font>
					</td> 
					<td bgcolor="#FF9966" align="center">
						<font color="white"><b>Core Level Symbol</b></font>
					</td> 
				</tr>
				<xsl:for-each select="ipcr-rollup-list/ipcr-rollup-entry">
				<tr>
					<td bgcolor="#ffffbb"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>
						   <xsl:value-of select="@*[name()='AL-symbol']"/>  
					</td>
					<td bgcolor="#E4E4E4">
						<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>
						<xsl:value-of select="@*[name()='core-predecessor']" /> 
					</td>
				</tr>
				 </xsl:for-each>
			 </table>
		</center>
		 </body>
	 </html>
  </xsl:template>
</xsl:stylesheet>
